---
type: initiative
designed: true
dependency: ''
waiting: false
start: ''
KR: bad traits
---

The tongue has twenty ailments. We will address them all briefly, though remembering a guiding verse can be sufficient: "There is no good in much of their conversation, except for he who commands charity, good, or reconciliation between people" (Quran 4:114). This means we should avoid unnecessary speech and focus only on beneficial conversation. Avoid speaking about things that don't benefit you or fulfill any need. Instead, speak thoughtfully and account for each word. If you would rather remember Allah than speak, that remembrance becomes a source of happiness.

Remember that the most predominant ailments of the tongue are five: lying, backbiting, arguing, praising, and joking. Now, for ease of understanding, we have grouped the twenty ailments into six categories:

## [Judging and Harsh Admonishing](Processes/Advice%20and%20admonishment.md)

* Avoid harshly criticizing minor flaws. Show leniency in matters that aren't explicitly sinful, using gentle speech when advising others on clear wrongdoings.
* Avoid labeling people by associating actions with their character or hoping for their failure. Instead, show compassion, provide constructive feedback, and pray for their guidance.

## [Harmful Speech](Processes/Avoiding%20Harmful%20Speech.md)

* Avoid cursing, vulgar language, and discussing obscene topics.
* Avoid boasting, exaggerating, using ornate speech, or adding false details to impress others.
* Avoid bad lyrics or poetry, ridicule, and excessive joking. Joking too much erodes dignity and stirs malice, although a little light-heartedness is acceptable. Make sure to say the truth when joking.

## [Disputing and Arguing](Processes/Managing%20difference%20of%20opinion.md)

The Prophet said, "A believer does not perfect his faith until he stops disputing, even when he's right." Disputing involves pointing out others' mistakes. Instead, affirm the truth in what others say and overlook errors unless gentle correction would be genuinely helpful.

> It is true that you sometimes need to get your rights, for example, when disputing about wealth or properties, but try to use sweet words instead of harsh ones.

## [Loquaciousness](Processes/Speak%20purposefully%20or%20maintain%20silence.md)

* Avoid excessive small talk or knowledge that doesn't benefit you. Aim to engage in conversation that promotes good, charity, or reconciliation.
* Speaking too much increases the chance of sin, so use minimal words when conveying your message.

## [Dishonesty and Betrayal](Processes/Honesty,%20Trust%20and%20figurative%20language.md)

### Dishonesty

Refrain from speaking falsehood (**lying**) for personal gain, wealth, status, or out of politeness, such as pretending not to want food when one is hungry. There are some exceptions to the rule:

* To reconcile people.
* In war.
* In conversation between spouses to foster harmony.
* To protect someone's wealth from an oppressor.
* To deny another's secret.
* To deny one's past disobedience, as publicizing sins, is discouraged.
* It can also be used to comfort someone or in cases where a husband tells his wife that she is loved equally to her co-wife.

Ailments related to lying include:

* Lying about doing something: Making a **false promise** in haste, as it creates an unfulfilled obligation similar to a debt.
* Lying to some people: Engaging in two-faced speech (**hypocrisy**), such as holding contradictory views to win favor with different people.

### Betrayal

Betrayal breaches trust when it involves **cheating** or revealing secrets, private matters, or faults (**slander**). Sharing something a person prefers to keep private is also considered **backbiting**. To avoid partaking in this, one should neither listen to, believe, nor relay it and distance themselves from the person engaging in it.

Backbiting can occur beyond speech—it can include gestures, symbols, or sarcasm, such as vaguely referring to "some people" with the intent of criticism. Even advising against backbiting with the wrong intention (e.g., to appear pious) can be sinful unless one sincerely detests it in their heart.

#### Situations Where Backbiting is Permissible

Backbiting is only allowed in six cases:

1. An oppressed person mentioning the oppression to a ruler to seek justice.
2. Seeking assistance to change an evil.
3. Providing necessary information to a religious authority for a legal ruling.
4. Warning someone of another's harm when withholding it would lead to risk, such as in business or marriage decisions.
5. Referring to someone by a descriptive name (e.g., "blear-eyed") if that's the name they are known by.
6. If a person is openly sinful, mentioning the fault they are public about.

#### Methods for Avoiding Backbiting

If one realizes they have backbitten, they should seek forgiveness, ask the wronged person for pardon, or increase their praise, pray for them, and perform good deeds on their behalf if they cannot reach them.

## [Moderation in Praise and Questioning](Processes/Moderation%20in%20Praise%20and%20Questioning.md)

* Avoid excessive questioning about Allah's attributes, which is driven by doubt rather than genuine curiosity. Instead, replace this with wholehearted submission and engagement in acts of worship.
* Avoid errors in speaking about the religion, especially regarding Allah. Saying something about an important matter (like using slave or using incha'llah, not in its context) out of innovation or excessive talking.
* If one is praised, the right course of action is to think deeply about the seriousness of their final works, the subtleties of ostentation, and their evil deeds, and to recollect the inner flaws that they know about themselves—especially their thoughts and inner dialogue that if only the one praising them knew, they would cease from praising them. They should show a dislike for praise and hate it in their heart.
* When it comes to giving praise, there are six issues—four in the praiser and two in the praised—and if these issues are absent, there is no harm in praising, and it may even be recommended.
	* The four issues in the praiser are:
		* Exaggerating and falsely attributing qualities to someone
		* Displaying insincere affection
		* Making speculative statements without knowledge
		* Pleasing a wrongdoer by bringing joy to their heart
	* The two issues in the praised are:
		* The potential for pride and self-admiration
		* Becoming excessively pleased with oneself
