---
type: initiative
designed: true
dependency: ''
waiting: false
start: ''
KR: bad traits
---

## Love of Status

### The Reality of High Status in Praise and Blame

* Status is the power to influence people's hearts and actions according to one's desires, much like wealth gives control over resources. Unlike wealth, status can't be stolen or damaged, making it highly valued.
* Status is especially appealing as it aligns with qualities of loftiness and might, which resemble divine attributes humans naturally desire.
* Seeking true status, such as closeness to Allah, is praiseworthy and brings lasting benefits, unlike worldly status or wealth, which are fleeting and imperfect. True perfection comes from [knowledge](Processes/Build%20knowledge%20in%20free%20time.md), freedom, and independence from others. These lead to real wealth through virtues that endure beyond life.
* Real freedom involves [detaching from all worldly things](Processes/Pride%20and%20lesser%20blessings%20-%20accept%20but%20disregard%20them.md) that won't stay with you beyond death and focusing on what endures—namely, Allah. Wealth and status are temporary, while knowledge and freedom are lasting virtues.

### Reducing Love of Status

* Recognizing that status is an illusion can help reduce attachment to it. Seeking some influence may be permissible for protection and support for religious pursuits, as long as it's within modest bounds. Practicing control over conversations by [speaking purposefully or staying silent](Processes/Speak%20purposefully%20or%20maintain%20silence.md) is one way to avoid the dangers of status-seeking.
* Even small amounts of status may increase the desire for more, making it a risky pursuit. Those who remain safe in faith often live quietly and avoid fame. When unavoidable, humility can be maintained by [doing simple, humble acts](Processes/Reduce%20fame%20by%20performing%20unsavory%20acts.md).

### Managing the Desire for Praise

* Seeking status often stems from a love of praise, which brings pleasure by enhancing self-image, affirming influence over others, or elevating social status.
* [Praise should be received cautiously](Processes/Moderation%20in%20Praise%20and%20Questioning.md). Joy in praise based on wealth or status is misplaced since these are not true virtues. If one is praised for genuine knowledge or piety, gratitude should be directed to Allah, not the person praising. Without true virtue, rejoicing in praise is misguided.

Different attitudes towards praise and blame reveal four levels:

1. **Lowest** - Someone who enjoys praise and holds resentment against critics.
2. **Moderate** - Hates criticism but controls reactions; finds some satisfaction in praise.
3. **Higher** - Indifferent to both praise and blame.
4. **Highest** - Avoids praise, valuing it as a trial and a danger to faith, and instead values constructive criticism for self-improvement.

> Seeking recognition through non-religious actions is generally acceptable if it doesn't involve deception.

## Ostentation

### Forms of Ostentation

Ostentation can appear in various actions:

1. **Body** - Showing physical signs of worship.
2. **Form** - Adopting traits associated with piety (e.g., physical markers of prayer).
3. **Clothing** - Dressing to appear humble or ascetic.
4. **Speech** - Using emotional displays or wisdom quotes to gain admiration.
5. **Practice** - Publicly engaging in longer prayers or rituals that wouldn't be done privately.
6. **Influence** - Mentioning associations with teachers or scholars to boost reputation.

### Levels of Ostentation

Ostentation is worse when rooted in deceptive intent to appear more righteous than one truly is. Such behavior shows a disregard for sincere worship and is seen as associating partners with Allah, placing others' opinions above His approval.

### Subjects of Ostentation

1. **Worst** - Pretending to faith itself.
2. **Severe** - Ostentation in fundamental acts of worship.
3. **Lesser** - In non-obligatory (supererogatory) actions.

### Impact of Ostentation Based on Intent

Ostentation ranges from blatant to nearly imperceptible:

* **Clear** - Motivating an act entirely for others.
* **Hidden** - Increasing one's effort slightly when noticed.
* **Very Hidden** - Feeling satisfaction or pride after being observed.

It's natural to feel joy if good deeds are visible, as they can lead to rewards in the hereafter and inspire others. However, keeping worship private can guard against insincerity.

Blatant ostentation voids the deed, while hidden ostentation may reduce its reward. Post-worship boasting is sinful, exposing underlying pride.

### Treating Ostentation by Examining Its Causes

* **Treatment addresses three main causes**: love of praise, fear of criticism, and greed.
	* **Love of Praise**: Combat this by recognizing that people's praise is superficial. Remind yourself that ostentation is harmful, like "sweet honey with hidden poison."
	* **[Fear of Criticism](Processes/Accept%20accusations%20or%20forgive%20transgressions%20against%20you.md)**: Remember that people's criticism is harmless if your actions please Allah.
	* **Greed**: Realize that greed for praise or reward is illusory, unlike the loss of Allah's pleasure.
* **Handling sudden feelings of ostentation** can be done by:
	* [Keeping your good deeds private](Processes/Hide%20your%20good%20deeds.md).
	* [Combating ostentation during worship](Processes/Combat%20ostentation%20during%20worship.md) by renewing your awareness that Allah's view is what matters, not people's, to avoid falling into ostentation.

### Showing or Hiding Good Deeds

* **Showing good deeds to inspire others** is allowed when you sincerely intend to encourage rather than seek praise. A sign of sincerity is being glad when others follow good examples, even if it's not you.
* [**Hiding sins**](Processes/Conceal%20your%20sins.md) is also permissible to avoid giving a bad example, as long as it's not to pretend to be pious. Feeling relieved by hiding sins is natural.
* **Avoiding good deeds out of fear of ostentation** is not advised. Al-Fudayl said that skipping good deeds due to this fear can be a form of showing off. Act sincerely unless the role (like a judge or preacher) might lead to vanity, in which case avoidance is better.
* Don't skip prayer and charity unless your intent is entirely insincere. Regularly [review your intentions](Processes/Review%20initiatives%20and%20processes.md) to keep your worship genuine.
