---
type: initiative
designed: true
dependency: ''
waiting: false
start: ''
KR: good traits
---

The reality of reliance is a state that arises from affirming Divine Oneness (tawḥīd), and its effect is seen in deeds. It has three pillars: knowledge, state, and deeds.

## The First Pillar: Knowledge

Knowledge is the foundation of reliance. It refers to the understanding of Divine Oneness. Only someone who recognizes Allah as the sole actor in all affairs can truly rely on Him.

### The Four Layers of Declaring Divine Oneness

1. **Outer Shell**: The declaration of faith with the tongue is the belief of hypocrites.
2. **Second Layer**: A firm belief in the heart, common among general creation and theologians.
3. **Core Layer**: The realization that everything stems from a single source, with actions and causes connected to the Causer of Causes. While a person at this stage understands the connection, they still perceive actions as separate.
4. **Core of the Core**: At this level, a person sees only the One True Existence, and all apparent plurality is understood as being due to limited human awareness.

### All Actions Are Linked to the Ultimate Cause

Reliance requires a realization of Divine Oneness, but this does not mean denying the existence of causes or actions. A person may still perceive multiple causes, but they must recognize that these are ultimately linked to the One True Cause.

* It is clear that things beyond human control are entirely in the hands of Allah.
* For human actions, one may mistakenly believe they are the doer. However, true understanding reveals that actions, such as throwing a stone, are also within Allah's will, as He has given the person the certainty that such actions lead to their desired outcome.

### What Completes Belief in Divine Oneness for True Reliance?

True reliance is not just about belief in Divine Oneness but also in Allah's Mercy, Generosity, and Wisdom. This leads to trust in Allah, the Truly Reliable (al-Wakīl).

## The Second Pillar: The State of Reliance

The second pillar is the actual state of reliance, where a person leaves their affairs to Allah. This means the heart trusts Allah, the mind rests in resignation to Him, and reliance on others is abandoned.

A person who understands that all provision, life, creation, and affairs are in Allah's hands and that He is in control with no partner naturally develops reliance on Him. Such a person's heart focuses only on Allah and nothing else. If their heart is not fully focused, this could be due to either:

* Weakness in their certainty of Allah's control.
* Fear or weakness of the heart makes them seek refuge in false comforts, even when they know they are ultimately in Allah's hands.

There are three levels to reliance:

1. **The First Level**: Reliance is confidence in someone trusted with a task, such as a lawyer in a legal case.
2. **The Second Level**: A deeper reliance, similar to a child running to their mother for comfort, trusting her care without questioning.
3. **The Third Level**: The highest form of reliance, where a person surrenders entirely to Allah, like a body in the hands of a washer. At this level, the person understands they have no choice, as everything is predestined (qadr), and they await whatever Allah decrees.

## The Third Pillar: Deeds

Reliance in action involves focusing on four main objectives: acquiring absent benefits, preserving present benefits, preventing potential harm, and removing existing harm.

### Acquiring Benefits

Efforts to acquire benefits can be categorized into three types of means:

* **Decisive Means**: This includes actions like using tools or resources (e.g., food, seeds) that are within Allah's control. Reliance here is about recognizing that the power to give and sustain these means belongs to Allah. Even as you make efforts, your heart must rely on Him as the ultimate provider.
* **Probable Means**: This involves saving provisions or taking precautions while traveling. Reliance does not require abandoning these means but placing trust in Allah's bounty to protect and sustain what has been provided.
* **Unlikely Means**: This refers to [over-analyzing](Processes/Small%20hopes%20when%20planning%20and%20saving.md) or attempting to manipulate situations for personal gain, which can lead to taking doubtful actions. This is contrary to true reliance on Allah.

### Saving for the Future

Saving is praiseworthy for those with strong certainty and a firm heart. However, [excessive saving](Processes/Small%20hopes%20when%20planning%20and%20saving.md) can undermine reliance on Allah. The scholars agree that saving beyond forty days can weaken reliance on Allah, except for a breadwinner with the right to save for his family's annual sustenance. Saving for the entire year's provision is permissible, as it aligns with the Sunnah, where provision is renewed each new year. However, saving beyond this for non-essential items, like furniture or dishes, is allowed since these are subject to different renewal than provisions. The shorter the saving period, the stronger the reliance on Allah's provision.

### Repelling Harm

Repelling harm is another form of action, such as avoiding danger or seeking medical treatment. The level of reliance here depends on the situation, but the principle is to take necessary precautions without overly focusing on the means. It has the same categories as "acquiring benefits".

> [!tip] When taking action, focus on these principles:
> 
> 
> * **Be effort-driven**: Focus on doing your best without fixating on the outcome. [Rely on lawful means](Processes/Disregard%20prohibited%20and%20doubtful%20matters.md) and avoid shortcuts, leaving the results to Allah, without worrying about the future.
> * **Excellence (Ihsan)**: Strive to perform actions in the best way possible. This mindset is a key aspect of Islam, which is built on faith (Iman), submission (Islam), and excellence (Ihsan).
> * [**Mention Allah**](Processes/Renew%20your%20intentions%20and%20say%20basmalla.md): Begin each action by saying "Bismillah" and supplicate to remind yourself that you rely on Allah alone. And if you speak about the action to someone else or think aloud about your future plans, add "Inshallah" to acknowledge that its success depends on Allah's will.


### Supplication

Dua is essential for all actions, as it helps prevent arrogance and reliance on oneself. To support this, a [comprehensive supplication](Processes/Initiatives%20supplication.md) covers all the initiatives. If your action involves a choice, [perform Istikhara](Processes/Make%20istikhara%20when%20choosing.md) to seek guidance before deciding. For all other supplications, here are some ways to enhance their effectiveness:

* [**Imitate the supplications of pious predecessors**](Processes/Supplicate%20with%20predecessors'%20supplications.md): Learn from the dua of those who came before you for guidance.
* [**Use the right names of Allah**](Processes/Supplicate%20with%20the%20right%20names.md): Supplicate with the most fitting names of Allah for your needs.
* **Focus on Allah**: Detach yourself from the means when asking, instead focusing on the giver's attributes. [Supplicate for what you wish, and aim high in your requests](Processes/Supplicate%20for%20what%20you%20wish%20and%20aim%20high.md).
* **Make your earnings pure**: Ensure your sources of income are lawful, and focus your heart on Allah while making dua.
* **Persevere in your supplications**: Keep making dua even if the results are not immediate.
* **Believe in the acceptance of your dua**: Have confidence that Allah will answer your dua.

#### Proper Etiquette for Dua

The proper way to make dua includes:

1. **Praise Allah**: Begin by praising Allah, sending salawat (blessings) on the Prophet Muhammad (PBUH), and seeking forgiveness (Istighfar).
2. **Make your request**: Supplicate for what you need or wish for.
3. **Conclude with praise**: End by praising Allah, sending salawat, and seeking forgiveness again.

#### [Times When Dua is Accepted](Processes/Supplicate%20in%20the%20blessed%20times.md)

There are certain times when supplications are more likely to be accepted:

* **Laylat al-Qadr** (The Night of Decree)
* **In the depths of the night**
* **After prescribed prayers**
* **Between the Adhan and Iqamah (the call to prayer and its commencement)**
* **When rain falls**
* **During specific moments on Fridays**
* **When drinking Zamzam water**
* **While prostrating**
* **When hearing the crowing of a rooster**
* **When sick**
