---
type: initiative
designed: true
dependency: ''
waiting: false
start: ''
KR: good traits
---

Sincerity consists of three essential elements: reality, foundation, and perfection.

## Foundation - Intention

* [**Multiple Intentions in One Act**](Processes/Have%20multiple%20intentions%20in%20voluntary%20worship%20acts.md): In voluntary worship, multiple intentions can be combined within a single act, maximizing its value.
* **Intention as an Inner Motivation**: Intention isn't simply a verbal or mental declaration; it's the genuine drive behind actions, making the action itself conceivable.
* [**Intention's Weight over Action**](Processes/Review%20initiatives%20and%20processes.md): Actions done sincerely, even small ones, hold greater reward from Allah than seemingly larger insincere acts.

## Sincerity of Intention

* **Purity of Motivation**: True sincerity involves pure motivation without any personal or external influence. When actions mix with personal gains, sincerity is compromised. Achieving complete sincerity is challenging, yet a moment of true sincerity can bring eternal rewards.
* **Levels of Adulteration in Sincerity**: Adulteration of sincerity varies—it might overwhelm, subtly influence, or merely coexist with the intent for Allah's sake. Actions with minor, secondary motives may retain some reward if Allah's pleasure is sought, but major adulterations render worship insincere and, sometimes, invalid.

## Perfection - Truthfulness

1. [**Truthful Speech**](Processes/Honesty,%20Trust%20and%20figurative%20language.md): A Muslim speaks honestly and avoids falsehood, as lying is a trait of hypocrisy: "Three characteristics define a hypocrite: when he speaks, he lies; when he promises, he breaks it; when entrusted, he betrays."
2. **Honesty in Dealings**: A Muslim acts truthfully in all transactions, avoiding deceit. He [associates with people of integrity](Processes/Hate%20the%20disobedient%20and%20love%20the%20obedient.md) and verifies their claims.
3. [**Truthfulness in Determination**](Processes/Renew%20your%20intentions%20and%20say%20basmalla.md): When a Muslim decides to act, he commits fully without hesitation.
4. [**Keeping Promises**](Processes/Honesty,%20Trust%20and%20figurative%20language.md): A Muslim honors his promises, avoiding the hypocrisy of breaking promises.
5. [**Avoiding False Impressions**](Processes/Avoid%20baseless%20assumptions.md): A Muslim is sincere in appearance and behavior, reflecting internal truth without displaying deceit, hypocrisy, or pretense.

## Hypocrisy

The opposite of sincerity is hypocrisy. The Messenger of Allah (peace be upon him) said: **"The sign of a hypocrite is that whenever he speaks, he lies; whenever he makes a promise, he does not fulfil it; and whenever he is entrusted, he betrays that trust."**

This hadith highlights two realms where sincerity is required:

1. **Sincerity toward people:** Being honest and genuine in your interactions.
2. **Sincerity towards Allah:** Maintaining truthfulness in your relationship with Allah can often be more challenging. It can be divided into two parts.
	1. **Intentional Hypocrisy**–When a person knowingly contradicts their commitments to Allah. This includes deliberately committing sins while fully aware that they violate divine commands, such as knowingly transgressing prohibitions or neglecting obligations despite understanding their importance.
	2. **Heedless Hypocrisy**–When a person falls into hypocrisy out of negligence or lack of self-awareness. This happens when someone performs religious acts without reflection or understanding, such as making supplications without comprehending their meaning or reciting Qur'anic verses that their actions contradict.
