---
type: initiative
designed: true
dependency: ''
waiting: false
start: ''
KR: worship actions
---

## Layers of Remembrance

The Prophet (peace be upon him) said, "The remembrance of Allah in the morning and evening is better than breaking swords in Allah's path and giving wealth abundantly."

It is understood that remembrance (dhikr) is among the most valued deeds. It consists of three levels, each bringing one closer to the core:

1. **Remembrance by Tongue Only**: Speaking words of remembrance without engaging the heart.
2. **Remembrance by the Heart, Needing Supervision**: Here, the heart must be guided to stay present, as it tends to drift into other thoughts.
3. **Remembrance Established in the Heart**: This level is marked by a natural focus on remembrance that only a strong force can divert.

The ultimate goal, or core, is for the focus to shift entirely from the act of remembrance to the One being remembered. In this state, the heart becomes fully absorbed in Allah, free from distractions. This inner immersion is the starting point on the path to Allah, beyond which guidance flows.

> [!info] All actions that remind one of Allah can be considered remembrance:
> 
> 
> * [**Praying**](Initiatives/worship/Praying.md)
> * [**Reading the Quran**](Initiatives/worship/Engaging%20with%20the%20quran.md)
> * **[Discussing Allah and Religion](Processes/Meet%20special%20friend%20only%20for%20god's%20sake.md)**
> * [**Learning about Islam**](Processes/Build%20knowledge%20in%20free%20time.md) through videos or podcasts
> * [**Contemplating Creation**](Processes/Contemplate%20the%20creation.md)
> * **Making Dua**–further developed in the [Reliance](Initiatives/good%20traits/Reliance.md) initiative.


## Fruit of Remembrance

The fruits of remembrance emerge progressively: first, verbal dhikr, then forced focus, followed by natural heart-centered dhikr, and finally, immersion in the presence of Allah, which transcends active remembrance.

* **Path of Spiritual Growth**: Long for a deeper, experiential knowledge of Allah, striving to be among those raised by Allah in faith and understanding. The stages resemble how a doctor's knowledge of an illness becomes personal once he experiences it, transitioning from knowledge to witness.
* **Role of the Quran and Dhikr**: For those refining character, reciting the Quran is essential. For one overwhelmed by remembrance, constant dhikr becomes more fitting. Only in an extraordinary state, like being completely absorbed in the presence of Allah, does dhikr surpass Quran recitation; otherwise, the Quran remains superior, guiding toward knowledge of Allah and immersion in Him.

> The best remembrance is one that fully absorbs the heart. At the highest level, there is no distinction, as all remembrance merges into unity. While remembrance by the tongue or heart can vary, the best among these depends on attributes mentioned within each act of dhikr.

## Occasions for Verbal Remembrance

* [**In Times of Affliction**](Processes/Attitude%20in%20affliction.md): Turn to Allah
* [**During Gatherings**](Processes/Speak%20purposefully%20or%20maintain%20silence.md): When being silent and when concluding, Conclude with dhikr
* [**Waiting Periods**](Processes/Fill%20up%20most%20of%20your%20time%20with%20dhikr.md): Fill time with dhikr
* [**Morning, Evening, and Before Sleep supplications**](Processes/Say%20morning,%20evening%20and%20before%20sleeping%20supplications.md)
* [**Special Occasions**](Processes/Say%20special%20sayings%20in%20special%20occasions.md): Say specific dua and dhikr when entering the home or mosque…
* **First Ten Days of Dhul Hijjah**: Recite tahlil, takbir, and tahmid aloud and frequently. (You can set an automatic notification for this)
