---
type: initiative
designed: true
dependency: ''
waiting: false
start: ''
KR: worship actions
---

There are three States of Companionship:

## First State: Being Alone

When alone, within each person exists three forces:

* **Desire** for personal gain
* **Anger** to repel harm
* **Reason** to govern and organize

Control harmful desires with anger and curb excessive anger with moderation. Align both with reason and Revealed Law to achieve balance, using each force where it benefits.

## Second State: Companionship with Society

It is keeping good company with the generality of creation.

### General Levels

* **Basic level**: Avoid causing harm.
* **Higher level**: Actively do good for others.
* **Highest level**: Be patient and continue doing good, even to those who may have wronged you. This is the level of the most virtuous.Messenger said to 'Alī  : "If you want to surpass the truthful ones, then reach out to the one who has cut you off, give to the one who withholds from you, and forgive the one who does you wrong."

### Rights

* When you meet someone, start by [greeting them with salam](Processes/Greet%20people%20first%20with%20salam.md); it is Sunnah to shake hands.
* [Respond to invitations](Processes/Accept%20invitations.md).
* [Respond to a Muslim who sneezes](Processes/Respond%20to%20muslim%20sneeze.md).
* Do not desert or boycott a Muslim for more than three days. Aim to [resolve disputes](Processes/Resolve%20disputes%20and%20avoid%20boycotting.md) and, if needed, [give gifts](Processes/Give%20gifts.md) to help with reconciliation.
* It is a Muslim's right to receive help from others, [assist those in need](Processes/Help%20orphans%20or%20people%20in%20need%20periodically.md), and offer advice when asked.
* [Respect others' privacy](Processes/Don't%20spy%20and%20protect%20privacy.md); do not spy or enter a home without permission.
* Behave justly toward everyone and [adapt to each person](Processes/Be%20just%20and%20adapt%20to%20each%20person.md):
	* Respect elders and show kindness to the young. Be fair, smile, and be gentle with all.
	* Show additional respect to people of status.
* Avoid suspicious situations to protect others from negative assumptions, and [avoid suspecting other people without evidence](Processes/Avoid%20baseless%20assumptions.md).
* [Safeguard and do not harm others' honor, wealth, or life](Processes/Protect%20and%20don't%20harm%20honor,%20wealth%20and%20life.md) by defending fellow Muslims from oppression and interceding on their behalf. Also, avoid harming them with your tongue or by other means.
* [Practice honesty and trust](Processes/Honesty,%20Trust%20and%20figurative%20language.md) by fulfilling promises, safeguarding honor when they are absent, concealing faults, and keeping secrets.
* [Hate disobedience and love obedience](Processes/Hate%20the%20disobedient%20and%20love%20the%20obedient.md).
	* If associated with an unrighteous person, be polite but avoid close ties.
	* Avoid mixing excessively with the wealthy; instead, seek the company of the poor and care for orphans.
* [Show care to the sick](Processes/Call,%20visit%20and%20care%20for%20the%20sick.md).
* [Participate in the funeral rites](Processes/Pray%20additional%20voluntary%20prayers.md) of Muslims and visit their graves.

## Third State: Special Companionship

It is good companionship with someone (aside from the generality of Islām) who relates to you especially.

### Friends

True friendship is rooted in faith in Allah and the Last Day, with love for the sake of Allah. This love has two levels:

* The first level is loving someone for the benefit they bring in the afterlife.
* The second, higher level, is loving someone purely because they are beloved to Allah and love Him without worldly or afterlife-related interest. Such love also includes disliking those who disobey Allah and oppose His commands.

[Complete friend's duties](Processes/Complete%20friend's%20duties.md):

* **Duty 1**: Fulfill the needs of your friend.
* **Duty 2**: Support them verbally.
* **Duty 3**: Refrain from mentioning things they may dislike unless it's necessary to promote good or prevent harm.
* **Duty 4**: Speak up when it is beneficial for them.
* **Duty 5**: Supplicate for them in life and after death, praying for them as you would for yourself.
* **Duty 6**: Be loyal and sincere.
* **Duty 7**: Avoid burdening your friend unnecessarily; do not exploit their resources or status.

Remember the mirror analogy: "A Muslim to a Muslim is like a mirror":

* A mirror reflects honestly without distortion.
* It reveals flaws gently, allowing one to improve without causing harm.
* It is objective and shows both good and bad, so a friend should compliment the good and kindly point out the bad.
* A mirror keeps what it sees private; similarly, a friend should protect their friend's faults from others.
* The closer you get to a mirror, the more details are visible. Likewise, a closer friendship allows for deeper honesty and understanding.

### Neighbor

**The Rights of the Neighbor _(haquq al-jar)_**: A neighbor is entitled to greater rights than those typically due to a fellow Muslim. This elevated right emphasizes the importance of neighborly kindness and consideration.
[The right of neighborliness](Processes/Complete%20neighboor's%20duties.md) extends beyond simply avoiding harm. It includes:
* Enduring any harm from them with patience and responding with kindness.
* Showing gentleness and initiating acts of goodwill.
* Greeting them first, avoiding lengthy conversations that may burden them, visiting them when ill, consoling them during hardship, and congratulating them during times of happiness.
* Overlooking their faults, avoiding peering into their home, refraining from causing disturbances (such as hammering nails into a shared wall), and respecting shared spaces by not directing water or dust into their property.
* Avoiding curiosity about what they bring home, concealing their shortcomings, refraining from eavesdropping, lowering one's gaze when near their household, and providing for their family's needs in their absence.

### Relatives

[Maintain family ties](Processes/Keeping%20family%20ties.md), even if relations are strained:

* **Respect for Parents:** Show [excellence](Processes/Excellence%20with%20parents.md), especially to mothers.
* **Guidance for Children:** Discipline with love, more in [Parenting](Initiatives/worship/Parenting.md).
* [Serve your family and help them](Processes/Serve%20around%20the%20house%20and%20do%20lowly%20tasks.md).
* [Manage the spouse](Initiatives/worship/Managing%20spouse.md) if you are married.
