> [!note] How to perform the review
> 
> 
> You can respond directly if you are familiar with the linked initiatives and processes. Otherwise, you will need to review the details before answering each question. Additionally, note any areas where you did not meet the specified requirements, as this will be your focus for the rest of the week.
> 


## Actions Done at Specific times

* Did you perform your worship actions ([praying](Initiatives/worship/Praying.md), [zakat](Initiatives/worship/Zakat%20and%20charity%20and%20selflessness.md), [fasting](Initiatives/worship/Fasting.md), [hajj](Initiatives/worship/Hajj.md), [reciting with the Quran](Initiatives/worship/Engaging%20with%20the%20quran.md), and [daily supplication](Processes/Say%20morning,%20evening%20and%20before%20sleeping%20supplications.md)) secretly, correctly, on time, and [without ostentation](Processes/Combat%20ostentation%20during%20worship.md), sincerely for Allah?
* Did you try to perform [voluntary worship actions](Processes/Level%20up%20worship.md) (e.g., praying, fasting) according to what you could do?
* When you encountered actions that were done in a certain way by the Prophet (peace be upon him), did you try to [follow him](Initiatives/worship/Following%20the%20sunnah.md) in it?
* When you were in the company of other people (Muslims, friends, neighbors, and family), did you make sure to [hold your tongue](Initiatives/bad%20traits/Loquaciousness.md) to the standard set here? Did you [command them for good and forbid their evil](Initiatives/worship/Commanding%20good%20and%20forbidding%20evil.md)? Did you [uphold their rights](Initiatives/worship/Upholding%20the%20right%20of%20muslims.md) fully? Did you get [angry](Initiatives/bad%20traits/Anger.md) when you didn't get your way? Did you get [envious](Initiatives/bad%20traits/Envy.md) of their blessings? Did you [stop their praise](Initiatives/bad%20traits/Love%20of%20status%20and%20ostentation.md)? Did you [humble](Initiatives/bad%20traits/Pride%20and%20self%20admiration%20and%20humility.md) yourself towards them?
* Did you [seek the company of the righteous and distance yourself from the disobedient](Processes/Hate%20the%20disobedient%20and%20love%20the%20obedient.md)?
* When engaging in sin, did you [stop yourself](Processes/Stop%20yourself%20during%20sin.md) out of fear? And after the sin, did you truly repent by [regretting and preventing](Processes/Regret%20and%20prevent%20after%20committing%20a%20sin.md) future lapses?
* In your free time, did you [remember Allah](Initiatives/worship/Remembrance%20of%20allah.md) or seek to [increase your knowledge](Processes/Build%20knowledge%20in%20free%20time.md) to get closer to Him and prepare for future tests?
* Did you have the [right attitude](Processes/Attitude%20in%20affliction.md) when you encountered an affliction?
* Are you [charitable](Initiatives/worship/Zakat%20and%20charity%20and%20selflessness.md) and [generous](Initiatives/bad%20traits/Stinginess.md) with your blessings, providing help with wealth, time, and services, especially to your family?
* Did you apply moderation when [eating](Initiatives/bad%20traits/Gluttony%20and%20lust.md) and [acquiring goods and services](Initiatives/good%20traits/Asceticism.md)?
* Did you perform all the actions that would [prepare you for the Day of Judgment](Initiatives/good%20traits/Remembering%20death.md) and its subsequent events?

## Actions Done All the time

1. Were you fearful of committing future sins (either new or persistent in old sins) by:
	* Being patient with the rulings by…
		* Constantly questioning the permissibility of your actions to [remain in lawful](Initiatives/worship/Seeking%20the%20lawful.md)?
		* Having a [high level of caution](Initiatives/worship/Seeking%20the%20lawful.md) by not indulging?
	* Remembering continuously the [things that should be feared](Initiatives/good%20traits/Fear%20and%20hope.md), like mentioning [death](Initiatives/good%20traits/Remembering%20death.md)?
2. Did you sincerely hope for the forgiveness of your past sins by:
	* [Making istighfar](Initiatives/good%20traits/Repentance.md) (seeking forgiveness) constantly?
	* Doing good deeds [sincerely](Initiatives/good%20traits/Sincerity%20and%20truthfulness.md) for Allah while [relying](Initiatives/good%20traits/Reliance.md) on Him…
		* By saying Bismillah (In Allah's name) and Insha'Allah (If Allah wills)?
		* And by performing them with an excellence mindset?
		* And by making dua (supplication) and focusing on the effort rather than the results?
3. Were you [content](Initiatives/good%20traits/Love%20and%20contentment.md) with your decree, and did you renew your love for him by realizing his perfection and being continuously [grateful](Initiatives/good%20traits/Gratitude.md)?
